#
# spec file for package UniversalCodeGrep
#
# Copyright (c) 2015 Gary R. Van Sickle (grvs@users.sourceforge.net)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           universalcodegrep
Version:        0.2.1
Release:        %mkrel 1
Summary:        An extremely fast grep-like tool specialized for searching large bodies of code

Group:          Development/Tools
License:        GPLv3+
URL:            https://github.com/gvansickle/ucg
Source0:        https://github.com/gvansickle/ucg/releases/download/%{version}/universalcodegrep-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gcc >= 4.8
BuildRequires:  gcc-c++ >= 4.8
BuildRequires:  pcre-devel >= 8.20
Requires:       pcre >= 8.20

%description
UniversalCodeGrep (ucg) is an extremely fast grep-like tool specialized for
searching large bodies of source code. It is intended to be largely
command-line compatible with Ack, to some extent with ag, and where appropriate
with grep. Search patterns are specified as PCRE regexes.

ucg is intended to address the impatient programmer's code searching needs. ucg
is written in C++11 and takes advantage of the concurrency (and other) support
of the language to increase scanning speed while reducing reliance on
third-party libraries and increasing portability. Regex scanning is provided by
the PCRE library, with its JIT compilation feature providing a huge performance
gain on most platforms.

As a consequence of its use of these facilities and its overall design for
maximum concurrency and speed, ucg is extremely fast; up to 30x faster than Ack
in some cases.

%prep
%autosetup

%build
%configure2_5x
%make_build

%check
make check

%install
%make_install

%files
%defattr(-,root,root)
%doc    README.md NEWS.md AUTHORS
%license COPYING
%exclude /usr/share/doc/universalcodegrep
%{_bindir}/*



%changelog
* Wed Apr 06 2016 shlomif <shlomif> 0.2.1-1.mga6
+ Revision: 999025
- Some cleanups to the .spec.
- Importing universalcodegrep

